/**
 * @typedef Pattern
 * @property {boolean} [apostrophe]
 * @property {Array<string>} categories
 * @property {string} [condition]
 * @property {Record<string, string>} [considerate]
 * @property {string} id
 * @property {Record<string, string>} inconsiderate
 * @property {string} [note]
 * @property {'or' | 'basic'} type
 */
/** @type {ReadonlyArray<Pattern>} */
export const patterns: ReadonlyArray<Pattern>;
export type Pattern = {
    apostrophe?: boolean;
    categories: Array<string>;
    condition?: string;
    considerate?: Record<string, string>;
    id: string;
    inconsiderate: Record<string, string>;
    note?: string;
    type: 'or' | 'basic';
};
